Bug 150305 - dia - complaints from symbol menus
Summary: dia - complaints from symbol menus
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dia   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-04 15:47 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 10:35:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 152142 None None None Never

Description Michal Jaegermann 2005-03-04 15:47:40 UTC
Description of problem:

Starting dia from a terminal windows reveals the following complaints:

** (dia:27722): WARNING **: failed to load pixbuf for file
/usr/share/dia/sheets/GRAFCET/etapei.png; cause=Failed to open file
'/usr/share/dia/sheets/GRAFCET/etapei.png': No such file or directory

** (dia:27722): WARNING **: failed to load pixbuf for file
/usr/share/dia/sheets/GRAFCET/etapeme.png; cause=Failed to open file
'/usr/share/dia/sheets/GRAFCET/etapeme.png': No such file or directory

** (dia:27722): WARNING **: failed to load pixbuf for file
/usr/share/dia/sheets/GRAFCET/etapems.png; cause=Failed to open file
'/usr/share/dia/sheets/GRAFCET/etapems.png': No such file or directory

** (dia:27722): WARNING **: failed to load pixbuf for file
/usr/share/dia/sheets/GRAFCET/etapemc.png; cause=Failed to open file
'/usr/share/dia/sheets/GRAFCET/etapemc.png': No such file or directory

** (dia:27722): WARNING **: failed to load pixbuf for file
/usr/share/dia/sheets/GRAFCET/etapesp.png; cause=Failed to open file
'/usr/share/dia/sheets/GRAFCET/etapesp.png': No such file or directory

** (dia:27722): WARNING **: failed to load pixbuf for file
/usr/share/dia/sheets/GRAFCET/vergent_and.png; cause=Failed to open
file '/usr/share/dia/sheets/GRAFCET/vergent_and.png': No such file or
directory

In /usr/share/dia/sheets/GRAFCET/ there are files with the
same basenames as those causing warnings but with .xpm suffix.

This is followed by a more or less constant stream of

(dia:27722): Gdk-CRITICAL **: file gdkdraw.c: line 651
(gdk_draw_drawable): assertion `src != NULL' failed

(dia:27722): Gdk-CRITICAL **: file gdkdraw.c: line 651
(gdk_draw_drawable): assertion `src != NULL' failed

when one is doing various operations.  Browsing through
symbol menus seems like a good, but not the only, way to bring
these.

Version-Release number of selected component (if applicable):
dia-0.94-5

How reproducible:
Seems to depend on a mood and I am not sure when and why it shows
up or not.  It may depend on what dia previously wrote in ~/.dia
directory.

Comment 1 Caolan McNamara 2005-03-10 10:35:49 UTC
I've added a fallback to xpm if the png isn't there in 0.9.94-7


Note You need to log in before you can comment on or make changes to this bug.